<!--
  Transforms openmath to javascript syntax.
-->
<xsl:transform version='1.0'
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  xmlns:om="http://www.openmath.org/OpenMath"
>

  <!-- import stylesheets that handle the basics -->
  <xsl:import href='symbols.xsl'/>
  <xsl:import href='primitives.xsl'/>
  <xsl:import href='application.xsl'/>
  
  <!-- import stylesheets that handle the specifics -->
  <xsl:import href='mathml/arith1.xsl'/>
  <xsl:import href='mathml/fns1.xsl'/>
  
  <!-- some other cds -->
  <xsl:import href='mathdox/plot1.xsl'/>

  <!-- specify that the output is not xml, but plain text -->
  <xsl:output method='text'/>

  <xsl:param name='option.showNavigation' select='"true"'/>

  <xsl:param name='viewport.xmin' select='-5'/>
  <xsl:param name='viewport.xmax' select='5'/>
  <xsl:param name='viewport.ymin' select='-5'/>
  <xsl:param name='viewport.ymax' select='5'/>

  <!-- do NOT end a gap expression with a ; and a linefeed -->
  <xsl:template match='/'>
    <xsl:apply-templates/>
  </xsl:template>
  
</xsl:transform>
