<!--
  Transforms openmath primitives to gap syntax.
-->
<xsl:transform version='1.0'
  xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
  xmlns:exslt='http://exslt.org/common'
  xmlns:om='http://www.openmath.org/OpenMath'
>
  <!-- container element -->
  <xsl:template match='om:OMOBJ'>
    <xsl:apply-templates select='*'/>
  </xsl:template>

  <!-- integers -->
  <xsl:template match='om:OMI'>
    <xsl:value-of select='.'/>
  </xsl:template>
  
  <!-- variables -->
  <xsl:template match='om:OMV'>
    <xsl:value-of select='@name'/>
  </xsl:template>
  
  <!-- strings -->
  <xsl:template match='om:OMSTR'>
    <xsl:text>"</xsl:text>
    <xsl:value-of select='.'/>
    <xsl:text>"</xsl:text>
  </xsl:template>
  
  <!-- floats -->
  <xsl:template match='om:OMF'>
    <xsl:value-of select='@dec'/>  
  </xsl:template>
  
  <!-- symbols -->
  <xsl:template match='om:OMS'>
    <xsl:variable name='cd'   select='@cd'/>
    <xsl:variable name='name' select='@name'/>
    <xsl:value-of 
      select='exslt:node-set($symbols)/cd[@name=$cd]/symbol[@name=$name]/@text'
    />
  </xsl:template>

</xsl:transform>
